Bug 143872 - Conflict between graphics/proj and misc/proj4
Summary: Conflict between graphics/proj and misc/proj4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-13 14:30 UTC by Slaven Rezic
Modified: 2010-04-02 13:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Slaven Rezic 2010-02-13 14:30:07 UTC
	Both ports install the file
	PREFIX/include/projects.h. Probably both port should have
	CONFLICTS=... in their Makefiles set.
Comment 1 Edwin Groothuis freebsd_committer 2010-02-13 14:30:22 UTC
Maintainer of graphics/proj,

Please note that PR ports/143872 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/143872

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-02-13 14:30:26 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 fmysh 2010-02-13 15:35:00 UTC
On 2010/02/13, at 23:30, Edwin Groothuis wrote:

> Maintainer of graphics/proj,
> 
> Please note that PR ports/143872 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/143872
> 
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
> 

graphics/proj and misc/proj4 are duplicated ports for Proj.4 library.
graphicss/proj is taken from the upstream, currently version 4.7.0,
but misc/proj4 is from GNUstep Position bundle, and stays version 4.3.

I suggest dropping misc/proj4 port.

If astro/position, which is the only port that depends on misc/proj4,
requires that version, it would be better to use within the port.
Comment 4 dfilter service freebsd_committer 2010-02-13 17:27:45 UTC
dinoex      2010-02-13 17:27:36 UTC

  FreeBSD ports repository

  Modified files:
    misc/proj4           Makefile 
  Log:
  - add CONFLICTS
  PR:             143872
  
  Revision  Changes    Path
  1.4       +2 -0      ports/misc/proj4/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Dirk Meyer freebsd_committer 2010-02-13 17:28:42 UTC
State Changed
From-To: feedback->open


misc/proj4 is more then just the library. 
It is an Aapplication using it. 

I marked CONFLICTS. 
In the log run I will try to make the application 
use the new version of the lib instead of the included lib.
Comment 6 Pav Lucistnik freebsd_committer 2010-04-02 12:46:19 UTC
State Changed
From-To: open->closed

I have added CONFLICTS to the graphics/proj too
Comment 7 dfilter service freebsd_committer 2010-04-02 12:52:49 UTC
pav         2010-04-02 11:52:39 UTC

  FreeBSD ports repository

  Modified files:
    graphics/proj        Makefile 
  Log:
  - Set CONFLICTS against misc/proj4
  
  PR:             ports/143872
  Submitted by:   Slaven Rezic <slaven@rezic.de>
  
  Revision  Changes    Path
  1.17      +2 -0      ports/graphics/proj/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"